#include <avr/io.h>

#include "ADC.h"

uint16_t adcSample(unsigned char aSampleSource) {
	/* Select source */
	ADMUX &= ~SAMPLESOURCE_MASK;
	ADMUX |= aSampleSource;

	/* Start conversion */
	ADCSR |= _BV(ADSC);

	/* Wait until conversion finished */
	while (ADCSR & _BV(ADSC));

	/* Return conversion Result */
	return ADCW;
}

void initADC(void) {
	/* ADC setup, needs to be inbetween 50kHz - 250kHz */
	ADMUX = _BV(REFS1) | _BV(REFS0);																/* Internal 2.56V reference, AREF externally decoupled */
	ADCSRA = _BV(ADEN) | _BV(ADPS2) | _BV(ADPS1) | _BV(ADPS0);										/* CK / 128 = 115kHz @ 14.7456MHz */
}
