#ifndef __ADC_H__
#define __ADC_H__

#include <stdint.h>

#define SAMPLESOURCE_MASK						(_BV(MUX3) | _BV(MUX2) | _BV(MUX1) | _BV(MUX0))
#define SAMPLESOURCE_ADC0	  					(0)
#define SAMPLESOURCE_ADC1	  					(_BV(MUX0))
#define SAMPLESOURCE_ADC2						(_BV(MUX1))
#define SAMPLESOURCE_ADC3						(_BV(MUX1) | _BV(MUX0))
#define SAMPLESOURCE_ADC4						(_BV(MUX2))
#define SAMPLESOURCE_ADC5						(_BV(MUX2) | _BV(MUX0))
#define SAMPLESOURCE_ADC6						(_BV(MUX2) | _BV(MUX1))
#define SAMPLESOURCE_ADC7						(_BV(MUX2) | _BV(MUX1) | _BV(MUX0))
#define SAMPLESOURCE_BANDGAP					(_BV(MUX3) | _BV(MUX2) | _BV(MUX1))
#define SAMPLESOURCE_GND						(_BV(MUX3) | _BV(MUX2) | _BV(MUX1) | _BV(MUX0))

#define ADCINPUT_NTC_MOTOR						SAMPLESOURCE_ADC0
#define ADCINPUT_NTC_MOSFET						SAMPLESOURCE_ADC1
#define ADCINPUT_POTENTIOMETER					SAMPLESOURCE_ADC2
#define ADCINPUT_PEDAL							SAMPLESOURCE_ADC3

/*************** AUTO GENERATED SECTION FOLLOWS ***************/
uint16_t adcSample(unsigned char aSampleSource);
void initADC(void);
/***************  AUTO GENERATED SECTION ENDS   ***************/

#endif
