#ifndef __CONFIGURATION_H__
#define __CONFIGURATION_H__

#include <stdint.h>

#define PWMSOURCE_PEDAL			0
#define PWMSOURCE_MOTOR			1

struct config {
	uint16_t pedalMinValue;
	uint16_t pedalMaxValue;
	uint16_t potMinValue;
	uint16_t potMaxValue;
	unsigned char maxMotion;
	unsigned char pwmSource;
};

/*************** AUTO GENERATED SECTION FOLLOWS ***************/
void eepromWrite(uint16_t aOffset, unsigned char aByte);
unsigned char eepromRead(uint16_t aOffset);
void configurationGet(struct config *aConfiguration);
void configurationSet(const struct config *aConfiguration);
void configurationInit(void);
/***************  AUTO GENERATED SECTION ENDS   ***************/

#endif
