#ifndef __CONTROLLER_H__
#define __CONTROLLER_H__

#include <stdbool.h>

#include "Configuration.h"

#define MODE_STOPPED				0
#define MODE_STARTED				1

#define SCREEN_MAIN					0
#define SCREEN_SELECT_CAL_PEDAL		1
#define SCREEN_SELECT_CAL_POT		2
#define SCREEN_SELECT_MAX			3
#define SCREEN_SELECT_SOURCE		4
#define SCREEN_INFO					5

#define SCREEN_CAL_PEDAL			6
#define SCREEN_CAL_POT				7
#define SCREEN_MAX					8

struct inputResults {
	uint16_t value;
	uint16_t range;
};

struct controllerState {
	unsigned char screen;
	unsigned char mode;
	unsigned char curPercent;
	
	unsigned char temperature1;
	unsigned char temperature2;

	unsigned char calValue;	
	uint16_t calMinValue;
	uint16_t calMaxValue;
		
	bool forceRedraw;
	struct config configuration;
};

/*************** AUTO GENERATED SECTION FOLLOWS ***************/
unsigned char controllerGetMode(void);
unsigned char controllerGetCurPercent(void);
unsigned char controllerGetMaxPercent(void);
unsigned char controllerGetMotorTemperature(void);
unsigned char controllerGetMosfetTemperature(void);
uint16_t controllerGetCalibrationValue(void);
uint16_t controllerGetCalibrationLow(void);
uint16_t controllerGetCalibrationHigh(void);
unsigned char controllerGetSource(void);
void initController(void);
void controllerLoop(void);
/***************  AUTO GENERATED SECTION ENDS   ***************/

#endif
