#include <stdint.h>
#include <stdbool.h>
#include <avr/interrupt.h>

#include "HAL.h"
#include "Delay.h"
#include "RS232.h"
#include "Printf.h"
#include "LCD.h"
#include "ADC.h"
#include "Configuration.h"
#include "Menu.h"
#include "Controller.h"
#include "Buttons.h"
#include "PWMController.h"

int main() {
	initHAL();

	lcdInit();
	menuSplashScreen();
	
	initRs232();
	initADC();
	initButtons();
	configurationInit();
	pwmInit();
	
	initController();
	sei();

	while (true) {
		controllerLoop();
	}
	return 0;
}


